<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcCraftController Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcCraftController Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcCraftController" --><!-- doxytag: inherits="iBase" -->
<p>This is a property class used to control movement of an hovercraft.  
 <a href="structiPcCraftController.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="craft_8h_source.html">propclass/craft.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcCraftController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcCraftController.png" usemap="#iPcCraftController_map" alt=""/>
  <map id="iPcCraftController_map" name="iPcCraftController_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,114,24"/>
</map>
 </div></div>

<p><a href="structiPcCraftController-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a79306916af43121b02cb5a6c926d4ff8">AfterBurnerOff</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off afterburner.  <a href="#a79306916af43121b02cb5a6c926d4ff8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#adab1cb088ca5cc0971fb7abf5f301208">AfterBurnerOn</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on afterburner.  <a href="#adab1cb088ca5cc0971fb7abf5f301208"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a9bb01021ab87f89c29d23352d3f9bd50">BrakesOff</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off brakes.  <a href="#a9bb01021ab87f89c29d23352d3f9bd50"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#af4a798d5db6c9cf6e3d4cc8389f6f37a">BrakesOn</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on brakes.  <a href="#af4a798d5db6c9cf6e3d4cc8389f6f37a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a35ea7fb4cf52360e4398a2e1c98785e4">IsThrusterOn</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Report whether thruster is on (true) or turned off (false).  <a href="#a35ea7fb4cf52360e4398a2e1c98785e4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#aab9773b82529279d35bc79f3e3a2b3c2">SetAccPitch</a> (float uacc)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the objects up and down turning acceleration.  <a href="#aab9773b82529279d35bc79f3e3a2b3c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a8c8868caf7463d3b7b28847e46855b45">SetAccTurn</a> (float tacc)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the objects left and right turning acceleration.  <a href="#a8c8868caf7463d3b7b28847e46855b45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a0411459aaaf940f8747996e9bea5184c">SetAfterBurnerTopSpeed</a> (float tspeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the top speed when afterburner is on.  <a href="#a0411459aaaf940f8747996e9bea5184c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#aba0ca2c5a9ebf39a230ce99b95fa3556">SetBrakingSpeed</a> (float bspd)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the braking force.  <a href="#aba0ca2c5a9ebf39a230ce99b95fa3556"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#ae3d36e98f582accae2a9434371631c74">SetDecelerationRate</a> (float decr)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the deceleration rate.  <a href="#ae3d36e98f582accae2a9434371631c74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a9e64889dc49a0d31f69c47bcb1f1fd30">SetMaxPitch</a> (float mud)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the objects maximum up and down turning velocity.  <a href="#a9e64889dc49a0d31f69c47bcb1f1fd30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a9a400f44f4f767e18e3973de509e1ad3">SetMaxTurn</a> (float turn)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the objects maximum left and right turning velocity.  <a href="#a9a400f44f4f767e18e3973de509e1ad3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#aadae8258235bf45c21f46a545b26ad79">SetRedirectVelocityRatio</a> (float rdvr)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">@@@ Document me !  <a href="#aadae8258235bf45c21f46a545b26ad79"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a05ef496b35a699996338303f75c15a8b">SetRoll</a> (float roll)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the roll factor.  <a href="#a05ef496b35a699996338303f75c15a8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a56adb646ac8edd4c8010657bc5310b77">SetThrustForce</a> (float tf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the thrust force of the craft.  <a href="#a56adb646ac8edd4c8010657bc5310b77"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#aae11e461259b858e8d4c7e70cded5314">SetTopSpeed</a> (float tspeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Top Speed of the thruster.  <a href="#aae11e461259b858e8d4c7e70cded5314"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a193c8b711445c2d22b3c7865ce5e26d2">SlideOff</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off sliding.  <a href="#a193c8b711445c2d22b3c7865ce5e26d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a29abae7f430104de605289c6ffbd34ac">SlideOn</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on sliding.  <a href="#a29abae7f430104de605289c6ffbd34ac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#abbe7aa979e38c547c8c13e7504b546d2">StartTurnDown</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the object turning down.  <a href="#abbe7aa979e38c547c8c13e7504b546d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a7885a0b660a8e8bb1d86d365b1b9d368">StartTurnLeft</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the object turning left.  <a href="#a7885a0b660a8e8bb1d86d365b1b9d368"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a9f5d168c515c45c406d010c1ffeb82c7">StartTurnRight</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the object turning right.  <a href="#a9f5d168c515c45c406d010c1ffeb82c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#abfae88207e1d20b0756b577ce375aeea">StartTurnUp</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the object turning up.  <a href="#abfae88207e1d20b0756b577ce375aeea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#ad351433ea96c29c5a2a453b2fe990d1c">StopTurnDown</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the object turning down.  <a href="#ad351433ea96c29c5a2a453b2fe990d1c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a366675ecfc53ed3f05db6f959ee28514">StopTurnLeft</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the object turning left.  <a href="#a366675ecfc53ed3f05db6f959ee28514"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#ab6ba91db36d41b23d1d0ce62c7972055">StopTurnRight</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the object turning right.  <a href="#ab6ba91db36d41b23d1d0ce62c7972055"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a4d185ee376f3d389958f963de6703997">StopTurnUp</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the object turning up.  <a href="#a4d185ee376f3d389958f963de6703997"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a2fabdff2be024425b9b3bc7d4e713983">ThrustOff</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn off thruster.  <a href="#a2fabdff2be024425b9b3bc7d4e713983"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCraftController.html#a121ab58ceb911a66ac396a0a92a512fe">ThrustOn</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on thruster.  <a href="#a121ab58ceb911a66ac396a0a92a512fe"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a property class used to control movement of an hovercraft. </p>
<p>Allows changing yaw and pitch, as well as thruster and afterburner, and supresses angular velocity of object.</p>
<p>This property class supports the following actions (add prefix 'cel.craft.action.' if you want to access this action through a message):</p>
<ul>
<li>SetSliding: parameters 'enabled' (bool: optional). If 'enabled' is not given then default is true.</li>
<li>SetBraking: parameters 'enabled' (bool: optional). If 'enabled' is not given then default is true.</li>
<li>SetThruster: parameters 'enabled' (bool: optional). If 'enabled' is not given then default is true.</li>
<li>SetAfterBurner: parameters 'enabled' (bool: optional). If 'enabled' is not given then default is true.</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>turnmax (float, read/write): maximum turning.</li>
<li>turnacc (float, read/write): turning rate.</li>
<li>pitchmax (float, read/write): maximum pitch.</li>
<li>pitchacc (float, read/write): pitch rate.</li>
<li>roll (float, read/write): rolling ratio.</li>
<li>thrust (float, read/write): thruster force.</li>
<li>topspeed (float, read/write): thruster top speed.</li>
<li>atopspeed (float, read/write): afterburner top speed.</li>
<li>brakingspeed (float, read/write): braking speed.</li>
<li>decelrate (float, read/write): deceleration rate.</li>
<li>rvelratio (float, read/write): redirected velocity ratio. </li>
</ul>

<p>Definition at line <a class="el" href="craft_8h_source.html#l00056">56</a> of file <a class="el" href="craft_8h_source.html">craft.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a79306916af43121b02cb5a6c926d4ff8"></a><!-- doxytag: member="iPcCraftController::AfterBurnerOff" ref="a79306916af43121b02cb5a6c926d4ff8" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a79306916af43121b02cb5a6c926d4ff8">iPcCraftController::AfterBurnerOff</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn off afterburner. </p>

</div>
</div>
<a class="anchor" id="adab1cb088ca5cc0971fb7abf5f301208"></a><!-- doxytag: member="iPcCraftController::AfterBurnerOn" ref="adab1cb088ca5cc0971fb7abf5f301208" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#adab1cb088ca5cc0971fb7abf5f301208">iPcCraftController::AfterBurnerOn</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn on afterburner. </p>

</div>
</div>
<a class="anchor" id="a9bb01021ab87f89c29d23352d3f9bd50"></a><!-- doxytag: member="iPcCraftController::BrakesOff" ref="a9bb01021ab87f89c29d23352d3f9bd50" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a9bb01021ab87f89c29d23352d3f9bd50">iPcCraftController::BrakesOff</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn off brakes. </p>

</div>
</div>
<a class="anchor" id="af4a798d5db6c9cf6e3d4cc8389f6f37a"></a><!-- doxytag: member="iPcCraftController::BrakesOn" ref="af4a798d5db6c9cf6e3d4cc8389f6f37a" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#af4a798d5db6c9cf6e3d4cc8389f6f37a">iPcCraftController::BrakesOn</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn on brakes. </p>

</div>
</div>
<a class="anchor" id="a35ea7fb4cf52360e4398a2e1c98785e4"></a><!-- doxytag: member="iPcCraftController::IsThrusterOn" ref="a35ea7fb4cf52360e4398a2e1c98785e4" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCraftController.html#a35ea7fb4cf52360e4398a2e1c98785e4">iPcCraftController::IsThrusterOn</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Report whether thruster is on (true) or turned off (false). </p>

</div>
</div>
<a class="anchor" id="aab9773b82529279d35bc79f3e3a2b3c2"></a><!-- doxytag: member="iPcCraftController::SetAccPitch" ref="aab9773b82529279d35bc79f3e3a2b3c2" args="(float uacc)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#aab9773b82529279d35bc79f3e3a2b3c2">iPcCraftController::SetAccPitch</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>uacc</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the objects up and down turning acceleration. </p>

</div>
</div>
<a class="anchor" id="a8c8868caf7463d3b7b28847e46855b45"></a><!-- doxytag: member="iPcCraftController::SetAccTurn" ref="a8c8868caf7463d3b7b28847e46855b45" args="(float tacc)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a8c8868caf7463d3b7b28847e46855b45">iPcCraftController::SetAccTurn</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>tacc</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the objects left and right turning acceleration. </p>

</div>
</div>
<a class="anchor" id="a0411459aaaf940f8747996e9bea5184c"></a><!-- doxytag: member="iPcCraftController::SetAfterBurnerTopSpeed" ref="a0411459aaaf940f8747996e9bea5184c" args="(float tspeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a0411459aaaf940f8747996e9bea5184c">iPcCraftController::SetAfterBurnerTopSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>tspeed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the top speed when afterburner is on. </p>
<p>Above this speed the afterburner will be disabled. </p>

</div>
</div>
<a class="anchor" id="aba0ca2c5a9ebf39a230ce99b95fa3556"></a><!-- doxytag: member="iPcCraftController::SetBrakingSpeed" ref="aba0ca2c5a9ebf39a230ce99b95fa3556" args="(float bspd)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#aba0ca2c5a9ebf39a230ce99b95fa3556">iPcCraftController::SetBrakingSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>bspd</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the braking force. </p>
<p>It is used to slow down the craft when brakes are on. </p>

</div>
</div>
<a class="anchor" id="ae3d36e98f582accae2a9434371631c74"></a><!-- doxytag: member="iPcCraftController::SetDecelerationRate" ref="ae3d36e98f582accae2a9434371631c74" args="(float decr)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#ae3d36e98f582accae2a9434371631c74">iPcCraftController::SetDecelerationRate</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>decr</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the deceleration rate. </p>
<p>It is used to slow down the craft when thruster is off. </p>

</div>
</div>
<a class="anchor" id="a9e64889dc49a0d31f69c47bcb1f1fd30"></a><!-- doxytag: member="iPcCraftController::SetMaxPitch" ref="a9e64889dc49a0d31f69c47bcb1f1fd30" args="(float mud)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a9e64889dc49a0d31f69c47bcb1f1fd30">iPcCraftController::SetMaxPitch</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>mud</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the objects maximum up and down turning velocity. </p>

</div>
</div>
<a class="anchor" id="a9a400f44f4f767e18e3973de509e1ad3"></a><!-- doxytag: member="iPcCraftController::SetMaxTurn" ref="a9a400f44f4f767e18e3973de509e1ad3" args="(float turn)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a9a400f44f4f767e18e3973de509e1ad3">iPcCraftController::SetMaxTurn</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>turn</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the objects maximum left and right turning velocity. </p>

</div>
</div>
<a class="anchor" id="aadae8258235bf45c21f46a545b26ad79"></a><!-- doxytag: member="iPcCraftController::SetRedirectVelocityRatio" ref="aadae8258235bf45c21f46a545b26ad79" args="(float rdvr)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#aadae8258235bf45c21f46a545b26ad79">iPcCraftController::SetRedirectVelocityRatio</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>rdvr</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>@@@ Document me ! </p>

</div>
</div>
<a class="anchor" id="a05ef496b35a699996338303f75c15a8b"></a><!-- doxytag: member="iPcCraftController::SetRoll" ref="a05ef496b35a699996338303f75c15a8b" args="(float roll)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a05ef496b35a699996338303f75c15a8b">iPcCraftController::SetRoll</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>roll</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the roll factor. </p>
<p>Roll is how much a craft rolls when turning left and right. </p>

</div>
</div>
<a class="anchor" id="a56adb646ac8edd4c8010657bc5310b77"></a><!-- doxytag: member="iPcCraftController::SetThrustForce" ref="a56adb646ac8edd4c8010657bc5310b77" args="(float tf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a56adb646ac8edd4c8010657bc5310b77">iPcCraftController::SetThrustForce</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>tf</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the thrust force of the craft. </p>

</div>
</div>
<a class="anchor" id="aae11e461259b858e8d4c7e70cded5314"></a><!-- doxytag: member="iPcCraftController::SetTopSpeed" ref="aae11e461259b858e8d4c7e70cded5314" args="(float tspeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#aae11e461259b858e8d4c7e70cded5314">iPcCraftController::SetTopSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>tspeed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the Top Speed of the thruster. </p>
<p>Above this speed the thruster will be disabled. </p>

</div>
</div>
<a class="anchor" id="a193c8b711445c2d22b3c7865ce5e26d2"></a><!-- doxytag: member="iPcCraftController::SlideOff" ref="a193c8b711445c2d22b3c7865ce5e26d2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a193c8b711445c2d22b3c7865ce5e26d2">iPcCraftController::SlideOff</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn off sliding. </p>

</div>
</div>
<a class="anchor" id="a29abae7f430104de605289c6ffbd34ac"></a><!-- doxytag: member="iPcCraftController::SlideOn" ref="a29abae7f430104de605289c6ffbd34ac" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a29abae7f430104de605289c6ffbd34ac">iPcCraftController::SlideOn</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn on sliding. </p>
<p>When sliding, the craft velocity is independent of its orientation. </p>

</div>
</div>
<a class="anchor" id="abbe7aa979e38c547c8c13e7504b546d2"></a><!-- doxytag: member="iPcCraftController::StartTurnDown" ref="abbe7aa979e38c547c8c13e7504b546d2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#abbe7aa979e38c547c8c13e7504b546d2">iPcCraftController::StartTurnDown</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start the object turning down. </p>

</div>
</div>
<a class="anchor" id="a7885a0b660a8e8bb1d86d365b1b9d368"></a><!-- doxytag: member="iPcCraftController::StartTurnLeft" ref="a7885a0b660a8e8bb1d86d365b1b9d368" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a7885a0b660a8e8bb1d86d365b1b9d368">iPcCraftController::StartTurnLeft</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start the object turning left. </p>

</div>
</div>
<a class="anchor" id="a9f5d168c515c45c406d010c1ffeb82c7"></a><!-- doxytag: member="iPcCraftController::StartTurnRight" ref="a9f5d168c515c45c406d010c1ffeb82c7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a9f5d168c515c45c406d010c1ffeb82c7">iPcCraftController::StartTurnRight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start the object turning right. </p>

</div>
</div>
<a class="anchor" id="abfae88207e1d20b0756b577ce375aeea"></a><!-- doxytag: member="iPcCraftController::StartTurnUp" ref="abfae88207e1d20b0756b577ce375aeea" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#abfae88207e1d20b0756b577ce375aeea">iPcCraftController::StartTurnUp</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start the object turning up. </p>

</div>
</div>
<a class="anchor" id="ad351433ea96c29c5a2a453b2fe990d1c"></a><!-- doxytag: member="iPcCraftController::StopTurnDown" ref="ad351433ea96c29c5a2a453b2fe990d1c" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#ad351433ea96c29c5a2a453b2fe990d1c">iPcCraftController::StopTurnDown</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop the object turning down. </p>

</div>
</div>
<a class="anchor" id="a366675ecfc53ed3f05db6f959ee28514"></a><!-- doxytag: member="iPcCraftController::StopTurnLeft" ref="a366675ecfc53ed3f05db6f959ee28514" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a366675ecfc53ed3f05db6f959ee28514">iPcCraftController::StopTurnLeft</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop the object turning left. </p>

</div>
</div>
<a class="anchor" id="ab6ba91db36d41b23d1d0ce62c7972055"></a><!-- doxytag: member="iPcCraftController::StopTurnRight" ref="ab6ba91db36d41b23d1d0ce62c7972055" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#ab6ba91db36d41b23d1d0ce62c7972055">iPcCraftController::StopTurnRight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop the object turning right. </p>

</div>
</div>
<a class="anchor" id="a4d185ee376f3d389958f963de6703997"></a><!-- doxytag: member="iPcCraftController::StopTurnUp" ref="a4d185ee376f3d389958f963de6703997" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a4d185ee376f3d389958f963de6703997">iPcCraftController::StopTurnUp</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop the object turning up. </p>

</div>
</div>
<a class="anchor" id="a2fabdff2be024425b9b3bc7d4e713983"></a><!-- doxytag: member="iPcCraftController::ThrustOff" ref="a2fabdff2be024425b9b3bc7d4e713983" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a2fabdff2be024425b9b3bc7d4e713983">iPcCraftController::ThrustOff</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn off thruster. </p>

</div>
</div>
<a class="anchor" id="a121ab58ceb911a66ac396a0a92a512fe"></a><!-- doxytag: member="iPcCraftController::ThrustOn" ref="a121ab58ceb911a66ac396a0a92a512fe" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCraftController.html#a121ab58ceb911a66ac396a0a92a512fe">iPcCraftController::ThrustOn</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn on thruster. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="craft_8h_source.html">craft.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
